%define upstream_name    String-Tagged
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    An API specification for simple formatted strings
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test::Identity)
BuildRequires: perl(Test2::V0)
BuildArch:  noarch

%description
This module implements an object class, instances of which store a
(mutable) string buffer that supports tags. A tag is a name/value pair that
applies to some non-empty extent of the underlying string.

The types of tag names ought to be strings, or at least values that are
well-behaved as strings, as the names will often be used as the keys in
hashes or applied to the 'eq' operator.

The types of tag values are not restricted - any scalar will do. This could
be a simple integer or string, ARRAY or HASH reference, or even a CODE
reference containing an event handler of some kind.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Feb 18 2023 guillomovitch <guillomovitch> 0.200.0-1.mga9
+ Revision: 1944002
- new version 0.20

* Thu May 05 2022 tv <tv> 0.180.0-1.mga9
+ Revision: 1856301
- update to 0.18

* Mon Mar 21 2022 umeabot <umeabot> 0.170.0-2.mga9
+ Revision: 1816177
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 guillomovitch <guillomovitch> 0.170.0-1.mga9
+ Revision: 1777905
- imported package perl-String-Tagged


* Wed Feb 16 2022 cpan2dist 0.17-1mga
- initial mageia release, generated with cpan2dist
